=== debian/changelog ===
apiextractor (0.3.3-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
  * Use 3.0 (quilt) format.

 -- Didier Raboud <didier@raboud.com>  Thu, 14 Jan 2010 15:44:15 +0100

apiextractor (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * Add use_cmake_config_no_find.patch:
    - Don't ship buggy FindApiExtractor.cmake (it is shipped in the wrong
      directory and useless anyway).
    - Ship instead a home-brewn ApiExtractorConfig.cmake and other cmake
      specific configuration files
    + Many thanks to Modestas Vainius for his time and skills in helping me
      through this patch!
    + This should Closes: #556822 generatorrunner: FTBFS

 -- Didier Raboud <didier@raboud.com>  Wed, 09 Dec 2009 19:11:36 +0100

apiextractor (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Remove patch fix_boostgraph_binary_lib_dependency.patch, incorporated
    upstream.
    - Get rid of quilt B-D.
    - Dont use --with=quilt in the dh7 magic.
  * Disable the build tests (they fail to show "bugs to-be-fixed").

 -- Didier Raboud <didier@raboud.com>  Tue, 13 Oct 2009 15:23:02 +0200

apiextractor (0.3-1) unstable; urgency=low

  [ Didier Raboud ]
  * Initial Debian release (Closes: #543642)
    - Use the Ubuntu packaging as starting point.
    - Convert to dh7.
  * debian/watch: Add.
  * debian/cmake.mk: Remove dirty workaround.
  * debian/control:
    - Update Depends to dh7
    - Add myself to Maintainers
    - Put under collab-maint git.
    - Add Homepage and Vcs-* fields
    - Update descriptions and Build-Depends.
    - Include the symbols version in the binary package name.
    - Adjust priority.
  * debian/patches/fix_boostgraph_binary_lib_dependency.patch
    - Add to avoid Build-Dependency on the binary libboost-graph.
    - Adjust Build-Depends accordingly.
    - Add README.source.
  * debian/copyright: Update to include all copyright holders.
  * Bump Standards to 3.8.3

  [ Bernd Zeimetz ]
  * debian/control, debian/rules:
    - Add a -dbg package.
  * debian/control:
    - libapiextractor-dev needs to depend on libqt4-dev as pkg-config
      requires it.

 -- Didier Raboud <didier@raboud.com>  Thu, 01 Oct 2009 13:19:57 +0200

apiextractor (0.2-0ubuntu1) jaunty; urgency=low

  * Build for Ubuntu 9.04.

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Tue, 18 Aug 2009 08:05:11 -0400

apiextractor (0.2-0maemo1) unstable; urgency=low

  * Initial release

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Thu, 16 Jul 2009 09:12:10 -0400
