=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=cmake $@

override_dh_strip:
	dh_strip --dbg-package=libapiextractor-dbg

override_dh_auto_test:
	## Don't run the tests, they fail for now.
	## Upstream explanation:
	## [15:10] <hugopl> OdyX, theses tests show bugs not fixed in
	##         apiextractor, we'll fix these bugs asap, but we need to do
	##         it carefull, because any changes in apiextractor can break
	##         the entire binding
	## [15:10] <hugopl> so, we postponed the bug fixing for a while
	## [15:11] <hugopl> in other words... is normal just 1 unit test pass
	##         (for now...)
