=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,28 @@
 
 declare_test(testabstractmetaclass)
 declare_test(testabstractmetatype)
+declare_test(testaddfunction)
+declare_test(testcodeinjection)
+declare_test(testconversionoperator)
+declare_test(testconversionruletag)
+declare_test(testcontainer)
+declare_test(testctorinformation)
+declare_test(testdtorinformation)
 declare_test(testenum)
-declare_test(testmodifydocumentation)
-declare_test(testaddfunction)
-declare_test(testconversionruletag)
+declare_test(testfunctiontag)
+declare_test(testimplicitconversions)
+if (NOT DISABLE_DOCSTRINGS)
+    declare_test(testmodifydocumentation)
+endif()
+declare_test(testmodifyfunction)
+declare_test(testmultipleinheritance)
+declare_test(testnamespace)
+declare_test(testprimitivetypetag)
+declare_test(testrefcounttag)
+declare_test(testreferencetopointer)
+declare_test(testremoveimplconv)
+declare_test(testresolvetype)
 declare_test(testreverseoperators)
-declare_test(testdtorinformation)
+declare_test(testtemplates)
+declare_test(testtoposort)
+declare_test(testvoidarg)
