=== debian/changelog ===
apiextractor (0.8.0-0ubuntu1) maverick; urgency=low

  * New 0.8.0 upstream release (LP: #648612)
    - Bumping the SOVERSION to 0.8, add two symbols for 0.8.
    - Remove all patches
  * Version the Build-Depends to ease future backports

 -- Didier Raboud <didier@raboud.com>  Mon, 27 Sep 2010 20:09:57 +0200

apiextractor (0.7.0-1~exp2) experimental; urgency=low

  * Patches:
    + Add u_d13ce132_non_final_method_is_not_necessarily_polymorphic.patch
      from upstream, to correct qtgui_qwidget test segfault in pyside.

 -- Didier Raboud <didier@raboud.com>  Tue, 31 Aug 2010 11:35:19 +0200

apiextractor (0.7.0-1~exp1) experimental; urgency=low

  * Patches:
    + Add 01_memory_alignment_fix.patch : Fixes various memory alignment
      issues which cause generator to crash on alignment-sensitive
      architectures (Closes: #590302)

 -- Didier Raboud <didier@raboud.com>  Mon, 09 Aug 2010 13:41:10 +0200

apiextractor (0.7.0-1~exp0) experimental; urgency=low

  [ Didier Raboud ]
  * New 0.7.0 upstream release
    - Bump libapiextractor SONAME to 0.7
  * Patches:
    - Remove spellingErrors.patch, included upstream.
  * Build docs in binary-indep target.
  * Bump Standards to 3.9.1.0 without changes needed.

  * Uploading to experimental as we are in transition freeze.

  [ Piotr Ożarowski ]
  * Set the DM-Upload-Allowed flag to yes

 -- Didier Raboud <didier@raboud.com>  Fri, 06 Aug 2010 14:50:48 +0200

apiextractor (0.6.0-1) unstable; urgency=low

  * New 0.6.0 upstream release
    - Bump libapiextractor SONAME to 0.6
    - Update symbols
    - Remove --version-script linker flag introduced in 0.4.0-2:
      included upstream.

  * Patches:
    - Add spellingErrors.patch to fix some trivial spelling errors.

  * Build -doc package with the sphinx-generated html docs, put it 
    in section docs.

 -- Didier Raboud <didier@raboud.com>  Sat, 05 Jun 2010 10:46:05 +0200

apiextractor (0.5.1-1) unstable; urgency=low

  * New 0.5.1 upstream release
    - Bump libapiextractor SONAME to 0.5
      (The soversion'ing changes with that release).

 -- Didier Raboud <didier@raboud.com>  Tue, 04 May 2010 16:52:35 +0200

apiextractor (0.4.0-3) unstable; urgency=low

  * Upload to unstable

 -- Didier Raboud <didier@raboud.com>  Thu, 22 Apr 2010 17:14:23 +0200

apiextractor (0.4.0-2) experimental; urgency=low

  * Symbols update to fix the various FTBFSes.
    - debian/libapiextractor0.symbols: Update to remove duplicate entries
      and document libqt4-dev differences.
    - debian/rules, debian/symbols.filter: Add a linker flag with
      --version-script to discard junk std:: template instantiations.

 -- Didier Raboud <didier@raboud.com>  Sun, 11 Apr 2010 13:22:16 +0200

apiextractor (0.4.0-1) experimental; urgency=low

  * New 0.4.0 upstream release

  * Add symbols for libapiextractor0, with (c++) filter
  * debian/rules
    - dh_install now lists missing files.
    - Allow parallel building.
  * debian/control
    - Bump Build-Depends on dpkg-dev (>= 1.15.6) for the (c++) symbols.
    - Remove boost from Build-Depends. Great !
  * debian/patches
    - Drop use_cmake_config_no_find.patch: somehow merged upstream.
  * Bump Standards to 3.8.4. No changes needed.

 -- Didier Raboud <didier@raboud.com>  Thu, 25 Mar 2010 16:09:36 +0100
