=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=cmake --parallel $@

override_dh_strip:
	dh_strip --dbg-package=libapiextractor-dbg

override_dh_install:
	dh_install --list-missing

override_dh_compress:
	dh_compress -X.js

binary: binary-arch binary-indep;

binary-indep:
	make -C doc html
	rm -f doc/_build/html/_static/images/._*
	dh binary-indep
