## apiextractor 0.9.0-1maemo1

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
 endif ()
 
 set(apiextractor_MAJOR_VERSION 0)
-set(apiextractor_MINOR_VERSION 8)
+set(apiextractor_MINOR_VERSION 9)
 set(apiextractor_MICRO_VERSION 0)
 set(apiextractor_VERSION "${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION}.${apiextractor_MICRO_VERSION}")
 configure_file(apiextractorversion.h.in ${CMAKE_CURRENT_BINARY_DIR}/apiextractorversion.h @ONLY)
@@ -129,7 +129,7 @@
 add_library(apiextractor SHARED ${apiextractor_SRC} ${apiextractor_RCCS_SRC})
 target_link_libraries(apiextractor ${APIEXTRACTOR_EXTRA_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTXMLPATTERNS_LIBRARY} ${QT_QTXML_LIBRARY})
 set_target_properties(apiextractor PROPERTIES VERSION ${apiextractor_VERSION}
-                                              SOVERSION ${apiextractor_SOVERSION} 
+                                              SOVERSION ${apiextractor_SOVERSION}
                                               OUTPUT_NAME "apiextractor${apiextractor_SUFFIX}"
                                               DEFINE_SYMBOL APIEXTRACTOR_EXPORTS)
 
@@ -166,6 +166,7 @@
     add_subdirectory(tests)
 endif()
 add_subdirectory(data)
+add_subdirectory(doc)
 
 install(FILES ${root_HEADERS} DESTINATION include/apiextractor${apiextractor_SUFFIX})
 install(TARGETS apiextractor EXPORT apiextractor
