=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -10,27 +10,31 @@
 declare_test(testabstractmetaclass)
 declare_test(testabstractmetatype)
 declare_test(testaddfunction)
+declare_test(testarrayargument)
 declare_test(testcodeinjection)
+declare_test(testcontainer)
 declare_test(testconversionoperator)
 declare_test(testconversionruletag)
-declare_test(testcontainer)
 declare_test(testctorinformation)
 declare_test(testdtorinformation)
 declare_test(testenum)
 declare_test(testfunctiontag)
 declare_test(testimplicitconversions)
-if (NOT DISABLE_DOCSTRINGS)
-    declare_test(testmodifydocumentation)
-endif()
 declare_test(testmodifyfunction)
 declare_test(testmultipleinheritance)
 declare_test(testnamespace)
+declare_test(testnestedtypes)
 declare_test(testprimitivetypetag)
 declare_test(testrefcounttag)
 declare_test(testreferencetopointer)
+declare_test(testremovefield)
 declare_test(testremoveimplconv)
 declare_test(testresolvetype)
 declare_test(testreverseoperators)
 declare_test(testtemplates)
 declare_test(testtoposort)
 declare_test(testvoidarg)
+if (NOT DISABLE_DOCSTRINGS)
+    declare_test(testmodifydocumentation)
+endif()
+
