=== debian/changelog ===
apiextractor (0.9.0-1maemo1) unstable; urgency=low

  * New version.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Fri, 26 Nov 2010 15:48:55 -0300

apiextractor (0.8.1-1maemo3) unstable; urgency=low

  * New version based on Didier's packaging.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Tue, 26 Oct 2010 13:05:07 -0300

apiextractor (0.8.1-1) unstable; urgency=low

  * New 0.8.1 upstream release
    - Bumping the SOVERSION to 0.8, add six symbols for 0.8.1.
    - Update apiextractor-doc generation.
  * Patches:
    - Remove u_d13ce132_non_final_method_is_not_necessarily_polymorphic.patch
      was from upstream.
    - Remove 01_memory_alignment_fix.patch: incorporated upstream.

  * Version the Build-Depends to ease future backports

 -- Didier Raboud <didier@raboud.com>  Thu, 14 Oct 2010 11:07:29 +0200
