=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: apiextractor
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Didier Raboud <didier@raboud.com>
-Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.0.50), cmake (>= 2.6.0),
+Maintainer: Didier Raboud <didier@raboud.com>
+Build-Depends: dpkg-dev (>= 1.14.25), debhelper7 (>= 7.0.50), cmake (>= 2.6.0),
                libqt4-dev (>= 4.4.0), libqt4-xmlpatterns (>= 4.4.0),
                libxml2-dev (>= 2.6.32), libxslt1-dev (>= 1.1.19), pkg-config
-Build-Depends-Indep: python-sphinx
+Build-Depends-Indep: python-sphinxbase
 Standards-Version: 3.9.1.0
 Vcs-Git: git://git.debian.org/collab-maint/apiextractor.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/apiextractor.git
@@ -17,7 +16,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: libapiextractor0.8 (= ${binary:Version}), ${misc:Depends}
+Depends: libapiextractor0.9 (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for the library headers parser
  The API Extractor library is used by the binding generator to parse headers of
  a given library and merge this data with information provided by typesystem
@@ -30,7 +29,7 @@
 Package: libapiextractor-dev
 Section: libdevel
 Architecture: any
-Depends: libapiextractor0.8 (= ${binary:Version}), ${misc:Depends},
+Depends: libapiextractor0.9 (= ${binary:Version}), ${misc:Depends},
  libqt4-dev (>= 4.4.0)
 Description: development files for the library headers parser
  The API Extractor library is used by the binding generator to parse headers of
@@ -41,8 +40,10 @@
  .
  This package contains the development files.
 
-Package: libapiextractor0.8
+Package: libapiextractor0.9
 Architecture: any
+Conflicts: libapiextractor (<< 0.9), libapiextractor0.7
+Replaces: libapiextractor (<< 0.9), libapiextractor0.7
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library headers parser that creates an API abstract representation
  The API Extractor library is used by the binding generator to parse headers of
@@ -56,7 +57,7 @@
 Package: apiextractor-doc
 Architecture: all
 Section: doc
-Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery
 Description: documentation for the library headers parser
  The API Extractor library is used by the binding generator to parse headers of
  a given library and merge this data with information provided by typesystem
