## apiextractor 0.10.0-1maemo2

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 option(DISABLE_DOCSTRINGS "Disable documentation extraction." FALSE)
 option(BUILD_TESTS "Build tests." TRUE)
+option(INSTALL_TESTS "Install tests" FALSE)
 option(ENABLE_VERSION_SUFFIX "Used to use current version in suffix to generated files. This is used to allow multiples versions installed simultaneous." FALSE)
 
 if (NOT DISABLE_DOCSTRINGS)
@@ -46,7 +47,7 @@
 endif ()
 
 set(apiextractor_MAJOR_VERSION 0)
-set(apiextractor_MINOR_VERSION 9)
+set(apiextractor_MINOR_VERSION 10)
 set(apiextractor_MICRO_VERSION 0)
 set(apiextractor_VERSION "${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION}.${apiextractor_MICRO_VERSION}")
 configure_file(apiextractorversion.h.in ${CMAKE_CURRENT_BINARY_DIR}/apiextractorversion.h @ONLY)
