=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,9 @@
     include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${apiextractor_SOURCE_DIR})
     target_link_libraries(${testname} ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} apiextractor)
     add_test(${testname} ${testname})
+    if (INSTALL_TESTS)
+        install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${testname} DESTINATION share/apiextractor${apiextractor_SUFFIX}/tests)
+    endif()
 endmacro(declare_test testname)
 
 declare_test(testabstractmetaclass)
@@ -12,10 +15,13 @@
 declare_test(testaddfunction)
 declare_test(testarrayargument)
 declare_test(testcodeinjection)
+configure_file("${CMAKE_CURRENT_SOURCE_DIR}/utf8code.txt"
+                "${CMAKE_CURRENT_BINARY_DIR}/utf8code.txt" COPYONLY)
 declare_test(testcontainer)
 declare_test(testconversionoperator)
 declare_test(testconversionruletag)
 declare_test(testctorinformation)
+declare_test(testdroptypeentries)
 declare_test(testdtorinformation)
 declare_test(testenum)
 declare_test(testfunctiontag)
@@ -36,5 +42,7 @@
 declare_test(testvoidarg)
 if (NOT DISABLE_DOCSTRINGS)
     declare_test(testmodifydocumentation)
+    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/a.xml"
+                   "${CMAKE_CURRENT_BINARY_DIR}/a.xml" COPYONLY)
 endif()
