=== debian/changelog ===
apiextractor (0.10.0-1maemo2) unstable; urgency=low

  * New patch:
    - fixBug697.patch

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Thu, 24 Feb 2011 13:50:54 -0400

apiextractor (0.10.0-1maemo1) unstable; urgency=low

  * New version from upstream
  * Update binary package name to follow upstream version number
    - libapiextractor0.9 -> libapiextractor0.10

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Mon, 21 Feb 2011 10:51:05 -0400

apiextractor (0.9.4-1maemo1) unstable; urgency=low

  * New version from upstream 

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Mon,  7 Feb 2011 14:44:45 -0400

apiextractor (0.9.3-1maemo1) unstable; urgency=low

  * New version from upstream

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Fri, 28 Jan 2011 14:22:45 -0400

apiextractor (0.9.2-1maemo1) unstable; urgency=low

  * New version from upstream

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Tue, 11 Jan 2011 08:43:17 -0400

apiextractor (0.9.1-1maemo1) unstable; urgency=low

  * New version from upstream

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Tue, 21 Dec 2010 10:18:08 -0400

apiextractor (0.9.0-1maemo2) unstable; urgency=low

  * Adding test package.

 -- Lauro Moura <lauro.neto@openbossa.org>  Tue, 14 Dec 2010 16:43:03 -0300
