=== debian/watch ===
version=3
http://www.pyside.org/files/apiextractor-([\d\.]*).tar.bz2
